/* Base styles for both light and dark mode */
:root {
  --background-color: #f9f9f9;
  --text-color: #333;
  --heading-color: #007bff;
  --border-color: #ccc;
  --link-color: #007bff;
  --link-hover-color: #0056b3;
  --shadow-color: rgba(0, 0, 0, 0.1);
}

[data-theme="dark"] {
  --background-color: #1f1f1f;
  --text-color: #f1f1f1;
  --heading-color: #61dafb;
  --border-color: #444;
  --link-color: #61dafb;
  --link-hover-color: #52a9d9;
  --shadow-color: rgba(255, 255, 255, 0.1);
}

/* Styling for the contact page */
.contact-container {
  display: flex;
  justify-content: space-between;
  gap: 20px;
  padding: 20px;
  max-width: 1200px;
  margin: 0 auto;
  flex-wrap: wrap;
}

.contact-block {
  flex: 1;
  min-width: 280px;
  padding: 20px;
  border: 1px solid var(--border-color);
  border-radius: 8px;
  background-color: var(--background-color);
  text-align: center;
  box-shadow: 0 4px 6px var(--shadow-color);
  transition: transform 0.3s ease;
}

.contact-block:hover {
  transform: translateY(-5px);
}

.contact-icon {
  font-size: 40px;
  color: var(--heading-color);
  margin-bottom: 15px;
}

h2 {
  color: var(--heading-color);
  margin-bottom: 15px;
}

p {
  margin: 10px 0;
}

a {
  color: var(--link-color);
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
  color: var(--link-hover-color);
}

.email-with-avatar {
  display: flex;
  align-items: center;
}

.avatar {
  width: 40px; /* Adjust the size as needed */
  height: 40px; /* Adjust the size as needed */
  border-radius: 50%; /* Make the avatar round */
  margin-left: 10%;
  margin-right: 10px; /* Space between the avatar and email address */
  object-fit: cover; /* Ensures the image fits the container properly */
}

/* Make the layout responsive */
@media (max-width: 768px) {
  .contact-container {
    flex-direction: column;
  }

  .contact-block {
    margin-bottom: 20px;
  }
}
